Bug 1310147 - [RFE] - User Group Interface - Multiple User Accounts With Same Name are Indistinguisable
Summary: [RFE] - User Group Interface - Multiple User Accounts With Same Name are Indi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.1.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Peter Ondrejka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-19 15:20 UTC by Michael J. Ayers
Modified: 2019-09-26 16:23 UTC (History)
2 users (show)

Fixed In Version: foreman-1.15.6.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:10:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
user group dialog (25.47 KB, image/png)
2017-11-20 12:53 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20739 0 None None None 2017-08-25 11:46:11 UTC

Description Michael J. Ayers 2016-02-19 15:20:36 UTC
Description of problem:
When Manipulating user groups, First/Last name is the selector field.  These fields may not be unique in the case of a user having two accounts: one with normal access and one with "administrative" access.  The user account however, is unique.

Version-Release number of selected component (if applicable): All


How reproducible: Always


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Bryan Kearney 2016-07-26 19:04:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 2 Marek Hulan 2017-08-25 11:46:09 UTC
Created redmine issue http://projects.theforeman.org/issues/20739 from this bug

Comment 3 Satellite Program 2017-08-25 12:16:31 UTC
Upstream bug assigned to mhulan

Comment 4 Satellite Program 2017-08-25 12:16:33 UTC
Upstream bug assigned to mhulan

Comment 5 Satellite Program 2017-08-26 06:16:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20739 has been resolved.

Comment 7 Peter Ondrejka 2017-11-20 12:53:47 UTC
Created attachment 1355762 [details]
user group dialog

Verified on Sat 6.3 snap 25, users are now listed by both unique and human names

Comment 8 Bryan Kearney 2018-02-21 17:10:16 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.